EasyRoutes API

List drivers

GET
/drivers

Fetch a list of all drivers associated with the shop. By default this returns all drivers but can optionally filter to specific statuses (i.e. ACTIVE, INACTIVE, or ARCHIVED). Invited drivers that are still pending sign-up are not returned by this API.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Query Parameters

query.limit?integer

Maximum number of drivers to return. Must be less than or equal to 200. Defaults to 20.

Formatint32
Rangevalue <= 200
query.status?array<>

Filter drivers by status. You can specify multiple statuses by repeating the query parameter, i.e. ?status=ACTIVE&status=INACTIVE.

cursor?string

Cursor to fetch the next page of results (if available). Should only be set on subsequent requests.

Response Body

application/json

application/json

curl -X GET "https://example.com/drivers"
{  "drivers": [    {      "id": "drv-123e4567-e89b-12d3-a456-426614174000",      "firstName": "John",      "lastName": "Doe",      "phone": "+14265551000",      "status": "ACTIVE"    }  ],  "nextCursor": "eyJsaW1pdCI6MjB9"}
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}